/*
 Theme Name:   GeneratePress Child
 Theme URI:    https://generatepress.com
 Description:  generatepress-child Theme
 Author:       René Don
 Author URI:   https://spacein3d.com
 Template:     generatepress
 Description:  GeneratePress is a lightweight WordPress theme built with a focus on speed and usability. Performance is important to us, which is why a fresh GeneratePress install adds less than 10kb (gzipped) to your page size. We take full advantage of the new block editor (Gutenberg), which gives you more control over creating your content. If you use page builders, GeneratePress is the right theme for you. It is completely compatible with all major page builders, including Beaver Builder and Elementor. Thanks to our emphasis on WordPress coding standards, we can boast full compatibility with all well-coded plugins, including WooCommerce. GeneratePress is fully responsive, uses valid HTML/CSS and is translated into over 25 languages by our amazing community of users. A few of our many features include microdata integration, 9 widget areas, 5 navigation locations, 5 sidebar layouts, dropdown menus (click or hover) and navigation color presets. Learn more and check out our powerful premium version at https://generatepress.com
 Version:      1.0.0
 License:      GNU General Public License v2 or later
 License URI:  http://www.gnu.org/licenses/gpl-2.0.html
 Tags: two-columns, three-columns, one-column, right-sidebar, left-sidebar, footer-widgets, blog, e-commerce, flexible-header, full-width-template, buddypress, custom-header, custom-background, custom-menu, custom-colors, sticky-post, threaded-comments, translation-ready, rtl-language-support, featured-images, theme-options
 Text Domain:  generatepresschild
*/

/* Graphic Design */
html {
    min-height: 100%;	/* ensure our body gradient doesn't show repetitively when the page is being loaded */
}
body {
	font-size: 1rem;
	color: white;
	background-color: #15151f;
	background-image: url('/wp-content/uploads/2021/01/background-stars.gif'), linear-gradient(to bottom, #15151f, #382e47);
}
.entry-title a {
	color: white;
}
.separate-containers .page-header {
	background-color: transparent;
}
.site-header, .main-navigation {
	background: none;
}
.main-navigation a {
	font-family: Montserrat;
	color: white;
	text-transform: uppercase;
}
.main-navigation .main-nav ul ul a {
	font-weight: normal;
}
.main-navigation .main-nav ul ul li[class*="current-menu-"] > a {
	color: #D93650;
}
.main-navigation .main-nav ul li[class*="current-menu-"] > a {
	color: white;
}
.main-navigation .main-nav ul li[class*="current-menu-"] > a:hover {
	color: #7a8896;
}
.main-navigation .main-nav ul ul li[class*="current-menu-"] > a:hover {
	color: #7a8896;
}
.main-navigation .main-nav ul li a, .menu-toggle, .main-navigation .menu-bar-items {
	color: white;
}
.main-navigation .main-nav ul li[class*="current-menu-"] > a {
	background: none;
}

.inside-header {
	padding-left: 0px;
	padding-right: 0px;
}

#page .inside-article,
.sidebar .widget {
	background: none;
}

@media (max-width: 768px) {
	.separate-containers .inside-article {
		padding-left: 1em;
		padding-right: 1em;
	}
}
a {
    color: lightskyblue;
}
a:hover, a:focus, a:active {
    color: deepskyblue;
}

.gp-icon.icon-menu-bars {
	padding-top: 8px;
}

.gp-icon.icon-menu-bars svg {
	height: 30px;
	width: 30px;
}

.menu-toggle {
	line-height: 40px;
}

/* Widget Area after header */
.after-header-widget-area {
	columns: 2;
}
.after-header-widget-area .widget_text {
	display: table-cell;
	width: 100%;
	height: 600px;
	height: 100%;
	padding: 15%;
	padding-top: 25%;
	vertical-align: middle;
}
@media (max-width: 1200px) {
	.after-header-widget-area .widget_text {
		xxxheight: 400px;
	}
}
.after-header-widget-area .widget_text > * {
	position: relative;
	width: 100%;
	margin: auto;
	text-align: center;
}
.after-header-widget-area .widget_text h3 {
	width: 220px;
	margin: auto;
	margin-bottom: 5%;
	font-family: Michroma;
	font-size: 43px;
	text-transform: uppercase;
	text-align: center;
}
@media (max-width: 1000px) {
	.after-header-widget-area .widget_text h3 {
		width: 200px;
		font-size: 31px;
	}
	.after-header-widget-area .textwidget {
		font-size: 0.9em;
	}
}
@media (max-width: 800px) {
	.after-header-widget-area .widget_text {
		padding-top: 17.5%;
	}
	.after-header-widget-area .widget_text h3 {
		width: 150px;
		font-size: 24px;
	}
	.after-header-widget-area .textwidget {
		font-size: 0.75em;
	}
}
@media (max-width: 575px) {
	.after-header-widget-area .widget_text {
		padding-top: 15%;
	}
	.after-header-widget-area .widget_text h3 {
		width: 110px;
		font-size: 19px;
	}
	.after-header-widget-area .widget_text p {
		font-size: 0.6em;
		visibility: hidden;
	}
}
.after-header-widget-area .widget_text h3::after {
	content: '';
	position: absolute;
	top: 75%;
	left: 0;
	width: 80%;
	margin-left: 10%;
	height: 6px;
	padding-left: 10px;
	padding-right: 10px;
	xxxbackground-image: url('images/double-line.svg');
	xxxbackground-repeat: no-repeat;
	xxxbackground-size: contain;
    border-image-source: url('images/double-line.svg');
	border-image-width: 1px 23%;
	border-top-width: 1px;
}

/* Social Icons */
#after-header-sidebar {
	position: relative;
}
#after-header-sidebar .widget_social_widget {
	position: absolute;
	right: 0;
	bottom: 0;
}
ul.social-icon {
	font-size: 1.25em;
	text-align: right;
}

#right-sidebar .widget_social_widget {
	padding: 0;
	text-align: right;
}
#right-sidebar .social-icon {
	display: inline-block;
	width: 200px;
	columns: 3;
}
#right-sidebar .social-icon li {
	padding: 0;
}
#after-header-sidebar .social-icon li a,
#right-sidebar .social-icon li a {
	color: #171721;
	border: 2px solid white;
	background-color: white;
	box-sizing: content-box;
}
.social-icon li a[href*="facebook.com"] {
	font-size: 1.1em;
}

/* Widget before main content */
.before-main-widget-area .widget_pageswithtag_widget {
	padding: 20px;
	text-align: left;
	background: rgba(0,0,0,0.2);
}
.before-main-widget-area .widget_pageswithtag_widget .widget-title {
	font-size: 2.2em;
}
.before-main-widget-area .widget_pageswithtag_widget ul {
	columns: 2;
	column-gap: 7%;
	row-gap: 100px;
}
.before-main-widget-area .widget_pageswithtag_widget li {
	break-inside: avoid;
	padding-left: calc(17px * 5);
	margin-bottom: 75px;
}
.before-main-widget-area .widget_pageswithtag_widget ul li::before {
	content: '\27CB\27CB\27CB\27CB\27CB';
	position: absolute;
	left: 0;
	width: 25%;
	height: 100%;
	font-family: Courier New;
}
@media (min-width: 768px) and (max-width: 1000px) {
	.before-main-widget-area .widget_pageswithtag_widget .widget-title {
		font-size: 1.6em;
	}
	.before-main-widget-area .widget_pageswithtag_widget li {
	padding-left: calc(17px * 3);
	}
	.before-main-widget-area .widget_pageswithtag_widget ul li::before {
	content: '\27CB\27CB\27CB';
	}
}
@media (min-width: 768px) and (max-width: 850px) {
	.before-main-widget-area .widget_pageswithtag_widget .widget-title {
		font-size: 1.4em;
	}
	.before-main-widget-area .widget_pageswithtag_widget li {
	padding-left: calc(17px * 1);
	}
	.before-main-widget-area .widget_pageswithtag_widget ul li::before {
		display: none;
	}
}
@media (max-width: 700px) {
	.before-main-widget-area .widget_pageswithtag_widget .widget-title {
		font-size: 1.6em;
	}
	.before-main-widget-area .widget_pageswithtag_widget li {
	padding-left: calc(17px * 3);
	}
	.before-main-widget-area .widget_pageswithtag_widget ul li::before {
	content: '\27CB\27CB\27CB';
	}
}
@media (max-width: 575px) {
	.before-main-widget-area .widget_pageswithtag_widget .widget-title {
		font-size: 1.4em;
	}
	.before-main-widget-area .widget_pageswithtag_widget li {
	padding-left: calc(17px * 1);
	}
	.before-main-widget-area .widget_pageswithtag_widget ul li::before {
		display: none;
	}
}
.before-main-widget-area .widget_pageswithtag_widget li h2 {
	font-size: 1.1em;
	font-weight: 600;
	color: white;
	margin-bottom: 1em;
}
.before-main-widget-area .widget_pageswithtag_widget li .excerpt {
	height: 250px;
	margin-bottom: 2em;
}
.before-main-widget-area .widget_pageswithtag_widget .play-button {
	position: absolute;
	top: 8px;
	right: 13px;
	width: 24px;
}
#secondary-sidebar-s3d-1 {
	max-width: 775px;
	margin: auto;
	text-align: center;
}


/* "Tell us what tracker you would like to see" */
#post-11, #post-96 {
	max-width: 575px;
	margin: auto;
	text-align: center;
}

#post-11 .entry-title, #post-96 .entry-title  {
	display: none;
}

#post-11 h3, #post-96 h3 {
	padding-left: 1em;
	padding-right: 1em;
}

/* Other */
.wp-block-group div {
	
	column-count: 2;
	column-gap: 20%;
	column-fill: balance;
}

.wp-block-group__inner-container {
	padding-bottom: 0;
}

.wp-block-group p {
	position: relative;
	margin-bottom: 20%;
	margin-right: 10%;
	line-height: 10em;
	text-align: center;
	background-color: white;
}

/* Main article */
#page article:not(#post-96) .inside-article {
	padding-left: 0;
	padding-top: 0;
}

.home .inside-article {
	background: none;
}
#post-96 svg {
	position: absolute;
	bottom: -5px;
	right: -66.67px;
	width: 100px;
	height: 100px;
}

/* Google Ads */
#custom_html-4 {
	width: 100%;
	padding: 0;
}

#custom_html-4 .adsbygoogle {
	display: block;
	width: 300px;
	min-height: 600px;
}

@media (max-width: 768px) {
	#custom_html-4 .adsbygoogle {
		width: 100%;
		min-height: 365px;
	}
}

@media (max-width: 575px) {
	#custom_html-4 .adsbygoogle {
		min-height: 365px;
	}
}


/* Next Approach Widget */
#custom_html-3 {
	padding:0;
}

site.grid-container {
	position: relative;	/* So we can shift left e.g. when opening settings */
}

/* Widget after main content - Pagecard */ 
.after-main-widget-area .widget_text {
	font-size: 14px;
	letter-spacing: 2.1px;
	text-transform: uppercase;
}

.after-main-widget-area .widget-title-holder {
	position: relative;
}
.after-main-widget-area .widget-title {
	width: 60%;
	font-size: 36px;
	line-height: 45.5px;
}

.after-main-widget-area .widget-title::after {
	content:'';
	position: absolute;
	display: block;
	right: 1%;
	width: 37%;
	border-bottom: 1px solid rgba(255,255,255,0.3);
}


.main-bottom-widget {
	column-count: 4;
	column-fill: balance;
	color: white;
	letter-spacing: 0.5px;
}
@media (min-width: 768px) and (max-width: 1100px) {
	.after-main-widget-area .widget-title {
		font-size: 32px;
	}
}

@media (min-width: 768px) and (max-width: 1000px) {
	.after-main-widget-area {
		margin-left: 0.5em;
		margin-right: 0.5em;
	}	
	.main-bottom-widget {
		column-count: 2;
	}
	.after-main-widget-area .widget-title {
		font-size: 28px;
	}
}
@media (min-width: 768px) and (max-width: 900px) {
	.after-main-widget-area .widget-title {
		font-size: 22px;
	}
}

@media (max-width: 768px) {
	.after-main-widget-area {
		margin-left: 0.5em;
		margin-right: 0.5em;
	}	
	.after-main-widget-area .widget-title {
		font-size: 30px;
	}
	.main-bottom-widget {
		column-count: 2;
	}
}
@media (max-width: 600px) {
	.after-main-widget-area .widget-title {
		font-size: 24px;
	}
	.main-bottom-widget {
		column-count: 2;
	}
}
@media (max-width: 500px) {
	.after-main-widget-area .widget-title {
		font-size: 22px;
	}
	.main-bottom-widget {
		column-count: 2;
	}
}
.widget_pagecard_widget {
	margin: 20px 0;
}

#secondary-sidebar-s3d-2 h5 {
	margin-bottom: 0.5em;
	font-size: 18px;
	font-weight: 600;
	line-height: 24px;
}

.separate-containers .site-main > :last-child {
	 margin-bottom: 20px;
}

.main-bottom-widget > span {
	height: 276px;
	padding: 14px;
	display: inline-block;
}

.main-bottom-widget > span:first-child {
	padding-left: 0;
}
.main-bottom-widget > span:nth-child(2n) {
	border-radius: 5px;
	background-color: rgba(0,0,0,0.2);
}

.main-bottom-widget .image {
	overflow: hidden;
}
.main-bottom-widget .title {
	margin-bottom: 0.1em;
	height: 75px;
}
.main-bottom-widget .date {
	margin-bottom: 0.5em;
	font-size: 11px;
	line-height: 21px;
	letter-spacing: 1.5px;
	text-transform: uppercase;
	opacity: 0.6;
}
.main-bottom-widget .excerpt {
	margin-bottom: 2em;
	font-size: 14px;
	line-height: 24px;
}
.main-bottom-widget a {
	color: white;
}
.main-bottom-widget .read-more a {
	font-size: 12px;
	font-weight: 600;
	letter-spacing: 2px;
	line-height: 21px;
	color: #D93650;
	text-transform: uppercase;
}



/* Image aspect ratio */
[style*="--aspect-ratio"] > :first-child {
  width: 100%;
  overflow: hidden;
}
[style*="--aspect-ratio"] > img {  
  height: auto;
} 
@supports (--custom:property) {
  [style*="--aspect-ratio"] {
    position: relative;
  }
  [style*="--aspect-ratio"]::before {
    content: "";
    display: block;
    padding-bottom: calc(100% / (var(--aspect-ratio)));
  }  
  [style*="--aspect-ratio"] > :first-child {
    position: absolute;
    top: 0;
    left: 0;
    height: 100%;
  }  
}

/* Truncate overflow in excerpt */
html {
  --lh: 1rem;
  line-height: var(--lh);
}

.truncate-overflow {
  --max-lines: 5;
  position: relative;
  max-height: calc(1.2 * var(--lh) * var(--max-lines));
  overflow: hidden;
  padding-right: 1rem; /* space for ellipsis */
}
.truncate-overflow::before {
  position: absolute;
  content: "...";
  inset-block-end: 0; /* "bottom" */
  inset-inline-end: 0; /* "right" */
}
.truncate-overflow::after {
  content: "";
  position: absolute;
  inset-inline-end: 0; /* "right" */
  width: 1rem;
  height: 1rem;
}


/* Sidebar width - refer: https://docs.generatepress.com/article/sidebar-widths/ */
@media (min-width: 769px) {
    #right-sidebar {
        width: 300px;
    }
    .inside-right-sidebar {
        xxxpadding-right: 20px;
    }
    body:not(.no-sidebar) #primary {
        width: calc(100% - 300px);
    }
}

/* Suggestion Form customization */
div.wpforms-container-full.inline-fields .wpforms-form .wpforms-submit-container {
	padding: 10px 0 0 0;
}
#main .wpforms-field-container {
	width: calc(100% - 200px);
}
#main .wpforms-submit-container {
	width: 200px;
}
div.wpforms-container-full .wpforms-form button[type="submit"] {
	height: 50px;
	padding: 5px 15px;
	color: white;
	text-transform: uppercase;
	border: none;
	background: #D93650;
}
.wpforms-submit {
}
#main .wpforms-field-large {
	color: rgba(255,255,255,0.6);
	background: none;
	border: none;
	border-bottom: 1px solid white;
	padding-top:12px;
	margin-top:12px;
}
#main .wpforms-field-text  {
	padding-right: 0;
}


/* Hide Page Featured images */
.featured-image.page-header-image {
	display: none;
}

#right-sidebar .widget_media_image {
	background-image: url('/9158595013624787941/');
	background-repeat: no-repeat;
	background-position: center; 
	background-size: cover; /* Resize the background image to cover the entire container */
	min-height: 600px;
}

#right-sidebar .widget_media_image img {
	visibility: hidden;
}

/* Canvas black background prior to app up and running */
canvas {
	border-radius: 4px;
	background-color: black;	
	box-shadow: 1px 2px 4px black, 1px 2px 8px black;	
}
#canvascontainer {
	margin-bottom: 1em;
	border-radius: 8px;
}

/* Footer */
.site-footer {
	background-color: rgba(0,0,0,0.2);
}
.site-info {
	background: none;
}
.inside-site-info {
	padding-bottom: 15px;
}
#after-footer-sidebar ul.social-icon {
	font-size: 1em;
	text-align: center;
}
#after-footer-sidebar ul.social-icon li {
	padding: 0;
}
#after-footer-sidebar ul.social-icon li a {
	width: 48px;
	height: 40px;
	line-height: 24px;
	color: white;
	border: none;
}
#after-footer-sidebar .social-icon li a:hover {
	color: white;
	background: none;
}